<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Bootstrap Example</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link
			rel="stylesheet"
			href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
		/>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	</head>

	<body>
		<div class="container">
			<div class="text-center my-4">
				<h2>Danh sách người dùng</h2>
			</div>
			<button class="btn btn-success ml-3 mb-4" id="btn-insertuser">
				Thêm User
			</button>
			<table
				class="table table-bordered table-striped table-hover text-center"
				id="table"
			>
				<thead>
					<tr>
						<th>Id</th>
						<th>Firstname</th>
						<th>Lastname</th>
						<th>Country</th>
						<th>Subject</th>
						<th>Customer Type</th>
						<th>Register Status</th>
						<th>Action</th>
					</tr>
				</thead>
				<tbody></tbody>
			</table>
		</div>
		​
		<script>
			'use strict';
			/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

			/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
			$(document).ready(function () {
				onPageLoading();
			});
			/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
			function onPageLoading() {
				$.ajax({
					url: 'http://203.171.20.210:8080/crud-api/users/',
					type: 'GET',
					dataType: 'json', // added data type
					success: function (vUserObj) {
						loadUserToTable(vUserObj);
					},
					error: function (ajaxContext) {
						alert(ajaxContext.responseText);
					},
				});
			}

			function onBtnDetailClick(paramUserDetail) {
				var vId = $(paramUserDetail).data('userid');

				console.log(vId);
			}
			function onBtnSuaClick(paramUserDetail) {
				// thu thập dữ liệu
				var vId = $(paramUserDetail).data('userid');

				// gọi và truyền data qua form Details
				const vDETAIL_FORM_URL = 'UpdateUsers.html';
				var vUrlSiteToOpen = vDETAIL_FORM_URL + '?id=' + vId;
				window.location.href = vUrlSiteToOpen;
			}

			$('#btn-insertuser').click(function () {
				window.location.href = 'InsertUser.html';
			});

			function onBtnDeleteClick(paramButton) {
				var vId = $(paramButton).data('userid');
				if (confirm('Bạn có chắc muốn xóa không') === true) {
					console.log(vId);
					$.ajax({
						url: 'http://203.171.20.210:8080/crud-api/users/' + vId,
						type: 'DELETE',
						success: function (result) {
							alert('Đã xóa thành công');
							location.reload();
						},
					});
				}
			}
			/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
			function loadUserToTable(paramUserObj) {
				var vTableUsers = $('#table');
				for (var bI = 0; bI < paramUserObj.length; bI++) {
					var bNewRow = $('<tr>').appendTo(vTableUsers);
					$('<td>').html(paramUserObj[bI].id).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].firstname).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].lastname).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].country).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].subject).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].customerType).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].registerStatus).appendTo(bNewRow);
					var bAction = $('<td>').appendTo(bNewRow);
					$('<button>', {
						html: 'Sửa',
						class: 'btn btn-info',
					})
						.click(function () {
							onBtnSuaClick(this);
						})
						.data('userid', paramUserObj[bI].id)
						.appendTo(bAction);
					$('<button>', {
						html: 'Xóa',
						class: 'btn btn-danger ml-3',
					})
						.click(function () {
							onBtnDeleteClick(this);
						})
						.data('userid', paramUserObj[bI].id)
						.appendTo(bAction);
				}
			}
		</script>
	</body>
</html>
​
